@charset "utf-8";

:root {

}

/* モバイル　ALL */
@media screen and (max-width: 425px) {
	:root {
		--Margin: 0;
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 100vw;


		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: column;
		--Flex-direction_CRCC: column;
		--Flex-direction_CCRR: column;
		--Flex-direction_CCCR: column;
		--Flex-direction_CCCC: column;
		--Flex-direction_RCCC: row;
		--Flex-direction_CrRRR: column-reverse;
		--Flex-direction_CrRCrR: column-reverse;
		--Flex-direction_RRRCrR: row;
		--Flex-direction_CrCrCrCrR: row;

		--Flex-direction_CRRRRR: column;
		--Flex-direction_CCRRRR: column;
		--Flex-direction_CCCRRR: column;
	}
}

/* タブレット */
@media screen and (min-width:426px) and (max-width: 768px) {
	:root {
		--Margin: 0;
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 100vw;

		/* ログイン */
		--Sake_Article_SectionLogin_Form_width: 100%;


		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: row;
		--Flex-direction_CRCC: row;
		--Flex-direction_CCRR: column;
		--Flex-direction_CCCR: column;
		--Flex-direction_CCCC: column;
		--Flex-direction_RRCC: row;
		--Flex-direction_CrRRR: row;
		--Flex-direction_CrRCrR: column-reverse;
		--Flex-direction_RRRCrR: column-reverse;
		--Flex-direction_CrCrCrCrR: column-reverse;

		--Flex-direction_CRRRRR: row;
		--Flex-direction_CCRRRR: column;
		--Flex-direction_CCCRRR: column;
	}
}

/* ノートパソコン */
@media screen and (min-width:769px) and ( max-width:1024px) {
	:root {
		--Margin: 0;
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 100vw;

		/* ログイン */
		--Sake_Article_SectionLogin_Form_width: 480px;


		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: row;
		--Flex-direction_CRCC: column;
		--Flex-direction_CCRR: row;
		--Flex-direction_CCCR: column;
		--Flex-direction_CCCC: column;
		--Flex-direction_RRCC: column;
		--Flex-direction_CrRRR: row;
		--Flex-direction_CrRCrR: row;
		--Flex-direction_RRRCrR: row;
		--Flex-direction_CrCrCrCrR: column-reverse;

		--Flex-direction_CRRRRR: row;
		--Flex-direction_CCRRRR: row;
		--Flex-direction_CCCRRR: column;
	}
}

/* ノートパソコン L */
@media screen and (min-width:1025px) and ( max-width:1440px) {
	:root {
		--Margin: 0 calc( calc( 100vw - 1024px) / 2);
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 1024px;

		/* ログイン */
		--Sake_Article_SectionLogin_Form_width: 480px;


		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: row;
		--Flex-direction_CRCC: column;
		--Flex-direction_CCRR: row;
		--Flex-direction_CCCR: row;
		--Flex-direction_CCCC: column;
		--Flex-direction_RRCC: column;
		--Flex-direction_CrRRR: row;
		--Flex-direction_CrRCrR: column-reverse;
		--Flex-direction_RRRCrR: row;
		--Flex-direction_CrCrCrCrR: column-reverse;

		--Flex-direction_CRRRRR: row;
		--Flex-direction_CCRRRR: row;
		--Flex-direction_CCCRRR: row;
	}
}

/* 2K以上 */
@media screen and (min-width:1441px) and ( max-width:2560px) {
	:root {
		--Margin: 0 calc( calc( 100vw - 1024px) / 2);
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 1024px;

		/* ログイン */
		--Sake_Article_SectionLogin_Form_width: 480px;

		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: row;
		--Flex-direction_CRCC: column;
		--Flex-direction_CCRR: row;
		--Flex-direction_CCCR: row;
		--Flex-direction_CCCC: column;
		--Flex-direction_RRCC: column;
		--Flex-direction_CrRRR: row;
		--Flex-direction_CrRCrR: row;
		--Flex-direction_RRRCrR: row;
		--Flex-direction_CrCrCrCrR: column-reverse;

		--Flex-direction_CRRRRR: row;
		--Flex-direction_CCRRRR: row;
		--Flex-direction_CCCRRR: row;
	}
}

/* 4K以上 */
@media screen and (min-width:2561px) {
	:root {
		--Margin: 0 calc( calc( 100vw - 1024px) / 2);
		--Padding: calc( 1 * var(--BaseSize) );
		--Width: 1024px;

		/* ログイン */
		--Sake_Article_SectionLogin_Form_width: 480px;



		/* フッター */
		--Footer_padding: var(--Size_08) var(--Size_12);


		/* Flex 制御*/
		--Flex-direction_CRRR: row;
		--Flex-direction_CRCC: column;
		--Flex-direction_CCRR: row;
		--Flex-direction_CCCR: row;
		--Flex-direction_CCCC: column;
		--Flex-direction_RRCC: column;
		--Flex-direction_CrRRR: row;
		--Flex-direction_CrRCrR: row;
		--Flex-direction_RRRCrR: row;
		--Flex-direction_CrCrCrCrR: column-reverse;

		--Flex-direction_CRRRRR: row;
		--Flex-direction_CCRRRR: row;
		--Flex-direction_CCCRRR: row;
	}
}


/* Set */

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
	position: relative;
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 62.5%;
	font: inherit;
	vertical-align: baseline;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
	display: block;
}

*,
*:before,
*:after {
	box-sizing: inherit;
}

html {
	max-width: 100%;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

header, article, section, div, footer,
table, tr, th, td, ol, ul, li, dl, dt, dd,
h1, h2, h3, h4, h5, h6, p, span, b, i, a {
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

a {
	text-decoration: none;
	border: 0;
	transition: var(--Transition_04s);
	-o-transition: var(--Transition_04s);
	-moz-transition: var(--Transition_04s);
	-webkit-transition: var(--Transition_04s);
}

figure {
	margin: 0;
}

img {
	max-width: 100%;
	vertical-align: bottom;
	object-fit: cover;
}


/**
 * ベース
 */


body {
	display: flex;
	flex-direction: column;
	max-width: 100vw;
	min-height: 100dvh;
	height: 100dvh;
	background: var(--Color_BG);
	& article {
		flex: 1;
		position: relative;
		display: flex;
		flex-direction: column;
		max-width: 100vw;
	}
}




